## org.eclipse.contribution.visualiser.core
Class PaletteDefinition

    java.lang.Object
      org.eclipse.contribution.visualiser.core.PaletteDefinition

public class PaletteDefinition
extends java.lang.Object

A PaletteDefinition represents the definition of a visualiser colour set as specified by someone extending the given extension point. Palette definitions are managed by the PaletteManager.

Constructor Summary
`PaletteDefinition(java.lang.String id, java.lang.String name, IVisualiserPalette palette)` Create a new palette definition

Method Summary
`java.lang.String` `getID()` Get the id of the palette represented by this palette definition
`java.lang.String` `getName()` Get the name of the palette represented by this palette definition
`IVisualiserPalette` `getPalette()` Get the actual palette represented by this palette definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteDefinition

    public PaletteDefinition(java.lang.String id,
                             java.lang.String name,
                             IVisualiserPalette palette)

  Create a new palette definition

Parameters:
  `id` - the id of the palette
  `name` - the name of the palette
  `palette` - the actual palette instance

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the palette represented by this palette definition

  Returns:
    the palette name

### getID

    public java.lang.String getID()

  Get the id of the palette represented by this palette definition

  Returns:
    the palette id

### getPalette

    public IVisualiserPalette getPalette()

  Get the actual palette represented by this palette definition

  Returns:
    the palette instance